Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateSpeechRecognitionTrial

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateSpeechRecognitionTrial

Enclosing class:
  TdApi

public static final class TdApi.UpdateSpeechRecognitionTrial extends TdApi.Update
The parameters of speech recognition without Telegram Premium subscription has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`leftCount`
Number of left speech recognition attempts this week.
`int`
`maxMediaDuration`
The maximum allowed duration of media for speech recognition without Telegram Premium subscription.
`int`
`nextResetDate`
Point in time (Unix timestamp) when the weekly number of tries will reset; 0 if unknown.
`int`
`weeklyCount`
The total number of allowed speech recognitions per week; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`UpdateSpeechRecognitionTrial()`
The parameters of speech recognition without Telegram Premium subscription has changed.
`UpdateSpeechRecognitionTrial(int maxMediaDuration, int weeklyCount, int leftCount, int nextResetDate)`
The parameters of speech recognition without Telegram Premium subscription has changed.
`UpdateSpeechRecognitionTrial(DataInput input)`
The parameters of speech recognition without Telegram Premium subscription has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### maxMediaDuration

public int maxMediaDuration
The maximum allowed duration of media for speech recognition without Telegram Premium subscription.

### weeklyCount

public int weeklyCount
The total number of allowed speech recognitions per week; 0 if none.

### leftCount

public int leftCount
Number of left speech recognition attempts this week.

### nextResetDate

public int nextResetDate
Point in time (Unix timestamp) when the weekly number of tries will reset; 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateSpeechRecognitionTrial

public UpdateSpeechRecognitionTrial()
The parameters of speech recognition without Telegram Premium subscription has changed.

### UpdateSpeechRecognitionTrial

public UpdateSpeechRecognitionTrial(int maxMediaDuration, int weeklyCount, int leftCount, int nextResetDate)
The parameters of speech recognition without Telegram Premium subscription has changed.

Parameters:
  `maxMediaDuration` - The maximum allowed duration of media for speech recognition without Telegram Premium subscription.
  `weeklyCount` - The total number of allowed speech recognitions per week; 0 if none.
  `leftCount` - Number of left speech recognition attempts this week.
  `nextResetDate` - Point in time (Unix timestamp) when the weekly number of tries will reset; 0 if unknown.

### UpdateSpeechRecognitionTrial

public UpdateSpeechRecognitionTrial(DataInput input) throws IOException
The parameters of speech recognition without Telegram Premium subscription has changed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`